Commit b3b227c8 authored by Hugo Beauzée-Luyssen's avatar Hugo Beauzée-Luyssen

cmake: Fix qt version message

parent 698807ab
...@@ -144,7 +144,9 @@ if (NOT FORCE_QT4) ...@@ -144,7 +144,9 @@ if (NOT FORCE_QT4)
endif() endif()
endif() endif()
if(NOT Qt5Core_FOUND) if(NOT Qt5Core_FOUND)
message(STATUS "Could not find Qt5, searching for Qt4 instead...") if (NOT FORCE_QT4)
message(STATUS "Could not find Qt5, searching for Qt4 instead...")
endif()
set(NEEDED_QT4_COMPONENTS "QtCore" "QtXml" "QtNetwork") set(NEEDED_QT4_COMPONENTS "QtCore" "QtXml" "QtNetwork")
if( WITH_GUI ) if( WITH_GUI )
...@@ -152,7 +154,7 @@ if(NOT Qt5Core_FOUND) ...@@ -152,7 +154,7 @@ if(NOT Qt5Core_FOUND)
endif() endif()
find_package(Qt4 REQUIRED COMPONENTS ${NEEDED_QT4_COMPONENTS}) find_package(Qt4 REQUIRED COMPONENTS ${NEEDED_QT4_COMPONENTS})
message(STATUS "Found Qt4 & ${NEEDED_QT4_COMPONENTS} modules")
macro(qt_use_modules) macro(qt_use_modules)
endmacro() endmacro()
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment